<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Komputer Store App</title>
    <link rel="stylesheet" href="styles.css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-KyZXEAg3QhqLMpG8r+8fhAXLRk2vvoC2f3B09zVXn8CA5QIVfZOJ3BCsw2P0p/We" crossorigin="anonymous">
</head>
<body>

<!--    For some reason, some style attributes were not working when put in styles.css file.
        Because of that, there are some leftovers that remained in index.html                   -->

<div class="container">
    <div class="row title-row">
        <h1>Komputer Store App</h1>
    </div>
    <p></p>
    <div class="row justify-content-between">
        <div class="col-sm-4 global-element d-flex flex-column" style="width: 30%">
            <h3>Bobby the Banker</h3>
            <p></p>
            <div class="d-flex justify-content-between">
                <div>Balance </div>
                <div id="balance" style="alignment: right"></div>
            </div>
            <p></p>
            <div class="d-flex justify-content-between">
                <div id="loanText" hidden>Outstanding loan </div>
                <div id="outstandingLoan" hidden></div>
            </div>
            <p></p>
            <button class="btn btn-secondary btn-lg mt-auto" id="getLoan" style="width: 100%">Get a loan</button>
        </div>
        <div class="col-sm-4 global-element d-flex flex-column" style="width: 30%">
            <h3>Work</h3>
            <p></p>
            <div class="d-flex justify-content-between">
                <span>Pay </span>
                <span id="pay"></span>
            </div>
            <p></p>
            <button hidden class="btn btn-secondary btn-lg mt-auto" id="repayLoan" style="width: 100%">Repay loan</button>
            <div class="btn-toolbar justify-content-between mt-auto" role="toolbar" aria-label="Toolbar with button groups">
                <div class="btn-group two-split" role="group" aria-label="First Group" style="width:45%">
                    <button type="button" class="btn btn-primary btn-lg" id="bank">Bank</button>
                </div>
                <div class="btn-group two-split" role="group" aria-label="Second" style="width:45%">
                    <button type="button" class="btn btn-primary btn-lg" id="work">Work</button>
                </div>
            </div>
        </div>
        <div class="col-sm-4 global-element" style="width: 30%">
            <h3>Laptops</h3>
            <p></p>
            <select id="laptops"></select>
            <p></p>
            <span><b>Features: </b><br/></span>
            <span id="specs"></span>
        </div>
    </div>
    <p></p>
    <div class="row justify-content-between border global-element">
        <div class="col-sm-4 three-split" style="width: 30%">
            <div id="computerImage"></div>
        </div>
        <div class="col-sm-4 three-split" style="width: 30%">
            <h3><b><span id="computerName"></span></b></h3>
            <p></p>
            <div id="description"></div>
        </div>
        <div class="col-sm-4 three-split" style="width: 30%">
            <div id="price" class="h3"></div>
            <p></p>
            <button class="btn btn-primary btn-lg" id="buy" style="width: 100%"><b>BUY NOW</b></button>
        </div>
    </div>
</div>

<script src="index.js"></script>
</body>
</html>
